declare namespace defs {
  export class Area {
    /** areaName */
    areaName?: string;

    /** areaType */
    areaType?: string;

    /** cityIdGroup */
    cityIdGroup?: string;

    /** cityName */
    cityName?: string;

    /** createDate */
    createDate?: string;

    /** director */
    director?: string;

    /** directorPhone */
    directorPhone?: string;

    /** hdVersion */
    hdVersion?: string;

    /** id */
    id?: number;

    /** initial */
    initial?: string;

    /** property */
    property?: string;

    /** rechargeOperateId */
    rechargeOperateId?: number;

    /** rechargeOperateName */
    rechargeOperateName?: string;

    /** rechargeOperatePhone */
    rechargeOperatePhone?: string;

    /** state */
    state?: string;

    /** updateDate */
    updateDate?: string;
  }

  export class AreaListResp {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.Area[];

    /** 具体的错误信息 */
    msg?: string;
  }

  export class AreaNameOrderResp {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.AreaOrderVo[];

    /** 具体的错误信息 */
    msg?: string;
  }

  export class AreaOrderVo {
    /** 区域名字 */
    areaName?: string;

    /** 首字母 */
    initial?: string;
  }

  export class AreaResp {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.Area;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class AreaSelfServiceVo {
    /** 自助服务id */
    serviceId?: number;

    /** 自助服务名称 */
    serviceName?: string;
  }

  export class AreaSwitch {
    /** 区域id */
    areaId?: number;

    /** id */
    id?: number;

    /** 是否开启 0未开启 1开启 */
    isEnabled?: number;

    /** 类型 1咨询开关 2商场开关 */
    type?: string;
  }

  export class AreaSwitchResponse {
    /** areaSwitchs */
    areaSwitchs?: defs.AreaSwitch[];

    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class CallPayInfo {
    /** outTradeNo */
    outTradeNo?: string;

    /** payStr */
    payStr?: string;
  }

  export class CallPayResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.CallPayInfo;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class CreditDepositResponse {
    /** 金额 */
    amount?: number;

    /** 区域id */
    areaId?: number;

    /** 运营商id */
    operateId?: number;

    /** 展示类型 1授信额度 2保证金 */
    showType?: string;
  }

  export class DeviceLoginConfResponse {
    /** 是否关闭 1：是；0：否 */
    isClose?: number;
  }

  export class DoActiveParam {
    /** 支付活动id */
    activeId?: number;

    /** 活动处理结束回调api */
    callbackApi?: string;

    /** 会员id */
    customerId?: number;

    /** 订单id */
    orderId?: number;
  }

  export class OperationModeConfResponse {
    /** 运营模式 1授信 2保证金 3传统 */
    mode?: string;
  }

  export class PayOrderQueryParams {
    /** 运营商ID */
    operateId?: number;

    /** 交易订单号 */
    outTradeNo?: string;

    /** 支付时间 */
    payDate?: string;

    /** 支付类型:2、微信支付；3、支付宝支付；4、京东支付；5：招行一网通支付 */
    payType?: string;
  }

  export class PayOrderQueryResponse {
    /** 交易状态0、失败；1、成功 */
    state?: number;

    /** 交易状态描述 */
    stateDes?: string;
  }

  export class PaymentAndActiveInfo {
    /** 支付活动id */
    activeId?: number;

    /** 支付活动说明 */
    avtiveComment?: string;

    /** 抵扣比例 0-1之间的小数 */
    deductionValue?: number;

    /** 是否豆抵扣 1：是；0：否 */
    isDeduction?: number;

    /** 支付类型 */
    payType?: string;

    /** 支付类型名称 */
    payTypeName?: string;

    /** 支付版本 */
    payVersion?: string;
  }

  export class PaymentAndActiveVo {
    /** 支付配置与对应的活动明细 */
    paymentAndActiveInfos?: defs.PaymentAndActiveInfo[];

    /** 支付配置id */
    paymentConfId?: number;
  }

  export class QnTokenResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.QntokenData;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class QntokenData {
    /** token */
    token?: string;
  }

  export class ServerDataResponse<T0 = any> {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 响应数据体 */
    data?: T0[];

    /** 具体的错误信息 */
    msg?: string;
  }

  export class ServerResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class ServiceEntity {
    /** comment */
    comment?: string;

    /** createDate */
    createDate?: string;

    /** id */
    id?: number;

    /** selfSerId */
    selfSerId?: number;

    /** serviceName */
    serviceName?: string;

    /** serviceType */
    serviceType?: string;

    /** state */
    state?: string;

    /** updateDate */
    updateDate?: string;
  }

  export class ServiceResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.ServiceEntity;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class SingleOrderJsonResponseData {
    /** charset */
    charset?: string;

    /** rspData */
    rspData?: defs.SingleOrderRspData;

    /** version */
    version?: string;
  }

  export class SingleOrderRspData {
    /** bankDate */
    bankDate?: string;

    /** bankSerialNo */
    bankSerialNo?: string;

    /** bankTime */
    bankTime?: string;

    /** branchNo */
    branchNo?: string;

    /** cardType */
    cardType?: string;

    /** currency */
    currency?: string;

    /** date */
    date?: string;

    /** dateTime */
    dateTime?: string;

    /** discountAmount */
    discountAmount?: string;

    /** fee */
    fee?: string;

    /** merchantNo */
    merchantNo?: string;

    /** merchantPara */
    merchantPara?: string;

    /** orderAmount */
    orderAmount?: string;

    /** orderNo */
    orderNo?: string;

    /** orderStatus */
    orderStatus?: string;

    /** rspCode */
    rspCode?: string;

    /** rspMsg */
    rspMsg?: string;

    /** settleAmount */
    settleAmount?: string;

    /** settleDate */
    settleDate?: string;

    /** settleTime */
    settleTime?: string;
  }
}

declare namespace API {
  /**
   * 区域接口
   */
  export namespace area {
    /**
     * 根据区域id查询区域
     * /area/queryArea
     */
    export namespace queryArea {
      export class Params {
        /** id */
        id: number;
      }

      export type Response = defs.AreaResp;
      export const init: Response;
      export function request(params: Params): Promise<defs.AreaResp>;
    }

    /**
     * 查询区域
     * /area/queryAreaList
     */
    export namespace queryAreaList {
      export class Params {}

      export type Response = defs.AreaListResp;
      export const init: Response;
      export function request(params: Params): Promise<defs.AreaListResp>;
    }

    /**
     * 首字母排序查询校区
     * /area/queryOrderList
     */
    export namespace queryOrderList {
      export class Params {}

      export type Response = defs.AreaNameOrderResp;
      export const init: Response;
      export function request(params: Params): Promise<defs.AreaNameOrderResp>;
    }

    /**
     * 获取校区开关接口
     * /area/switchs
     */
    export namespace getByAreaAndOperator {
      export class Params {
        /** 区域id */
        areaId: number;
      }

      export type Response = defs.AreaSwitchResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.AreaSwitchResponse>;
    }
  }

  /**
   * 公共接口
   */
  export namespace common {
    /**
     * 删除七牛图片
     * /common/deleteFiles
     */
    export namespace deleteFiles {
      export class Params {
        /** fileNames */
        fileNames: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 获取七牛的token
     * /common/getQNToken
     */
    export namespace getQNToken {
      export class Params {}

      export type Response = defs.QnTokenResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.QnTokenResponse>;
    }

    /**
     * 招商一网通支付成功通知API
     * /common/pay/ZsNetcomNotify
     */
    export namespace zsNetcomNotify {
      export class Params {
        /** jsonRequestData */
        jsonRequestData: string;
      }

      export type Response = any;
      export const init: Response;
      export function request(params: Params): Promise<any>;
    }

    /**
     * 招商一网通支付订单状态查询接口
     * /common/pay/ZsNetcomOrderState
     */
    export namespace queryZsNetcomOrderState {
      export class Params {
        /** 交易号 */
        outTradeNo?: string;
        /** 交易日期 yyyyMMdd */
        date?: string;
      }

      export type Response = defs.SingleOrderJsonResponseData;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.SingleOrderJsonResponseData>;
    }

    /**
     * 招商一网通签约通知API
     * /common/pay/ZsNetcomSignNotify
     */
    export namespace ZsNetcomSignNotify {
      export class Params {
        /** jsonRequestData */
        jsonRequestData: string;
      }

      export type Response = any;
      export const init: Response;
      export function request(params: Params): Promise<any>;
    }

    /**
     * alipayNotifyBack
     * /common/pay/aliNotify
     */
    export namespace alipayNotifyBack {
      export class Params {}

      export type Response = any;
      export const init: Response;
      export function request(params: Params): Promise<any>;
    }

    /**
     * 获取呼起第三方支付信息接口
     * /common/pay/getCallThridPayInfo
     */
    export namespace getCallThridPayInfo {
      export class Params {
        /** 会员ID */
        customerId: number;
        /** 商户平台订单编号 */
        orderNo: string;
        /** 支付类型(微信支付(2), 支付宝支付(3), 京东支付(4)) */
        payType: string;
        /** 支付金额 */
        money: number;
        /** 运营商ID */
        operateId: number;
        /** 区域ID */
        areaId: number;
        /** 服务id */
        serviceId: number;
        /** 支付标题 */
        payTitle?: string;
        /** 呼起方式 1：原生、2：APP-H5 */
        callType: string;
        /** 返回地址 */
        returnUrl: string;
        /** 业务回调地址 */
        businessCallURL: string;
        /** 业务回调所需参数,JSON格式的字符串 */
        businessCallURLParams: string;
      }

      export type Response = defs.CallPayResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.CallPayResponse>;
    }

    /**
     * jdpayNotify
     * /common/pay/jdpayNotify
     */
    export namespace jdpayNotify {
      export class Params {
        /** merchantId */
        merchantId: string;
        /** tradeNum */
        tradeNum: string;
      }

      export type Response = string;
      export const init: Response;
      export function request(params: Params): Promise<string>;
    }

    /**
     * 统一平台支付订单状态查询接口
     * /common/pay/orderState
     */
    export namespace queryOrderState {
      export class Params {}

      export type Response = defs.PayOrderQueryResponse;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.PayOrderQueryParams,
      ): Promise<defs.PayOrderQueryResponse>;
    }

    /**
     * wxpayNotifyBack
     * /common/pay/wxNotify
     */
    export namespace wxpayNotifyBack {
      export class Params {}

      export type Response = string;
      export const init: Response;
      export function request(params: Params): Promise<string>;
    }
  }

  /**
   * 招行授信保证金
   */
  export namespace creditDeposit {
    /**
     * 招行授信保证金查询接口
     * /dcxy/api/creditDeposits
     */
    export namespace get {
      export class Params {
        /** 区域id */
        areaId: number;
      }

      export type Response = defs.ServerDataResponse<
        defs.CreditDepositResponse
      >;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<defs.CreditDepositResponse>>;
    }
  }

  /**
   * 招行设备登录配置
   */
  export namespace deviceLoginConf {
    /**
     * 招行设备登录配置查询接口
     * /dcxy/api/deviceLoginConfs
     */
    export namespace get {
      export class Params {
        /** 区域id */
        areaId: number;
        /** 运营商id */
        operateId: number;
        /** 服务类型id */
        serviceId: number;
      }

      export type Response = defs.ServerDataResponse<
        defs.DeviceLoginConfResponse
      >;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<defs.DeviceLoginConfResponse>>;
    }
  }

  /**
   * 运营模式配置
   */
  export namespace operationModeConf {
    /**
     * 运营模式配置查询接口
     * /dcxy/api/operationModeConf
     */
    export namespace getByArea {
      export class Params {
        /** 区域id */
        areaId: number;
      }

      export type Response = defs.ServerDataResponse<
        defs.OperationModeConfResponse
      >;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<defs.OperationModeConfResponse>>;
    }
  }

  /**
   * 支付活动配置
   */
  export namespace paymentAndActive {
    /**
     * 支付活动配置查询接口
     * /dcxy/api/paymentAndActiveConf
     */
    export namespace get {
      export class Params {
        /** 会员id */
        customerId: string;
        /** 运营商id */
        operatorId: number;
        /** 区域id */
        areaId: number;
        /** 会员类型 */
        customerType: string;
        /** 服务id */
        serviceId: number;
        /** 运营模式 1：先消费豆后消费艾米；0：先消费艾米后消费豆；2：只消费艾米 */
        operationMode: number;
      }

      export type Response = defs.ServerDataResponse<defs.PaymentAndActiveVo>;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<defs.PaymentAndActiveVo>>;
    }

    /**
     * 支付活动接口
     * /dcxy/api/paymentAndActiveConf/doActive
     */
    export namespace doActive {
      export class Params {}

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.DoActiveParam,
      ): Promise<defs.ServerResponse>;
    }
  }

  /**
   * 自助服务API
   */
  export namespace service {
    /**
     * 获取区域下的自助服务接口
     * /dcxy/api/base/service
     */
    export namespace get {
      export class Params {
        /** 服务id */
        serviceId: number;
      }

      export type Response = defs.ServiceResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServiceResponse>;
    }

    /**
     * 获取所有/自助/三方服务接口
     * /dcxy/api/base/service/all/about/service
     */
    export namespace allSelfService {
      export class Params {
        /** 登陆标识 */
        token?: string;
        /** 服务类型:null所有/1自助/2三方 */
        serviceType?: string;
      }

      export type Response = defs.ServerDataResponse<Array<defs.ServiceEntity>>;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<Array<defs.ServiceEntity>>>;
    }

    /**
     * 获取区域下的自助服务接口
     * /dcxy/api/base/service/selfservice
     */
    export namespace allSelfServiceByArea {
      export class Params {
        /** areaId */
        areaId?: number;
      }

      export type Response = defs.ServerDataResponse<
        Array<defs.AreaSelfServiceVo>
      >;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<Array<defs.AreaSelfServiceVo>>>;
    }
  }
}

declare namespace defs {
  export class AccountParams {
    /** 区域id */
    areaId?: number;

    /** 会员电话 */
    customerPhone?: string;

    /** 会员id */
    id?: number;

    /** 服务id */
    serviceIdList?: any[];
  }

  export class AppRechargeAccountSynchronizationParameters {
    /** 豆金额 */
    beanMoney?: number;

    /** 会员id */
    customerId?: number;

    /** 操作人 */
    handler?: string;

    /** 艾米金额 */
    money?: number;

    /** 订单号 */
    orderNum?: string;

    /** 支付类型 */
    payType?: string;

    /** 服务类型id */
    serviceId?: number;
  }

  export class BaseDataVo {
    /** name */
    name?: string;

    /** value */
    value?: string;
  }

  export class ConsumeOrder {
    /** 实付金额 */
    actualMoney?: number;

    /** 区域id */
    areaId?: number;

    /** 区域名称 */
    areaName?: string;

    /** 消费类型 1专用豆 2艾米币 3通用豆 4混合消费 */
    consumeType?: string;

    /** 消费时间 */
    createAt?: string;

    /** 会员电话 */
    customerCellphone?: string;

    /** 会员id */
    customerId?: number;

    /** 会员名称 */
    customerName?: string;

    /** 抵扣豆 */
    deductionBean?: number;

    /** 抵扣金额 */
    deductionMoney?: number;

    /** 设备编号 */
    equipmentNum?: string;

    /** 设备位置 */
    equipmentPosition?: string;

    /** 主键id */
    id?: number;

    /** 运营商id */
    operateId?: number;

    /** 运营商名称 */
    operateName?: string;

    /** 运营模式 1：先消费豆后消费艾米；0：先消费艾米后消费豆；2：只消费艾米 */
    operationMode?: string;

    /** 订单名称 */
    orderName?: string;

    /** 订单编号 */
    orderNumber?: string;

    /** 订单状态 1未支付 2已支付 */
    orderState?: string;

    /** 上传交易号 */
    outTradeNo?: string;

    /** 支付类型(1:线下支付 2：微信支付 3 ：支付宝支付 4:京东支付 5:招行一网通支付 6:艾米币 7:专用豆 8通用豆) */
    payType?: string;

    /** 应付金额 */
    payableMoney?: number;

    /** 服务id */
    serviceId?: number;

    /** 服务名称 */
    serviceName?: string;

    /** 第三方优惠金额 */
    thirdDiscountMoney?: number;

    /** 第三方交易单号 */
    thirdTradeNumber?: string;

    /** 更新时间 */
    updateDate?: string;
  }

  export class ConsumeOrderDeductionInfoResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 订单抵扣信息 */
    data?: defs.ConsumeOrderDeductionInfoVo;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class ConsumeOrderDeductionInfoVo {
    /** 艾米余额 */
    amiAccount?: number;

    /** 豆余额 */
    beanAccount?: number;

    /** 抵扣金额 */
    deductionMoney?: number;

    /** 抵扣类型：1专项豆抵扣、2通用豆抵扣、3艾米抵扣 */
    deductionType?: string;

    /** 订单金额 */
    orderMoney?: number;

    /** 支付金额 */
    payMoney?: number;

    /** 支付类型(1:线下支付 2：微信支付 3 ：支付宝支付 4:京东支付 5:招行一网通支付 6:艾米币 7:专用豆 8通用豆) */
    payType?: string;

    /** 结余金额 */
    remainAccount?: number;

    /** 标题前缀 */
    titlePerfix?: string;
  }

  export class ConsumeOrderDetailAndPayResponse {
    /** accounts */
    accounts?: defs.CustomerBeanAccountVo[];

    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 具体的错误信息 */
    msg?: string;

    /** orderInfo */
    orderInfo?: defs.ConsumeOrder;

    /** payInfos */
    payInfos?: defs.PaymentAndActiveVo;
  }

  export class ConsumeOrderDetailResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.ConsumeOrder;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class ConsumeOrderGroupData {
    /** data */
    data?: defs.ConsumeOrder[];

    /** groupName */
    groupName?: string;
  }

  export class ConsumeOrderGroupResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.ConsumeOrderGroupData[];

    /** 具体的错误信息 */
    msg?: string;
  }

  export class ConsumeOrderPayInfoResponse {
    /** 是否呼起支付 0否，1是 */
    canCall?: number;

    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 具体的错误信息 */
    msg?: string;

    /** 商户交易订单号 */
    outTradeNo?: string;

    /** 当canCall为1时，APP需要的支付串信息 */
    payStr?: string;
  }

  export class ConsumeOrderResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.ConsumeOrder[];

    /** 具体的错误信息 */
    msg?: string;
  }

  export class ConsumeOrderSingleResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.ConsumeOrder;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class ConsumeOrderStateResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 具体的错误信息 */
    msg?: string;

    /** rspCode */
    rspCode?: string;

    /** rspMsg */
    rspMsg?: string;
  }

  export class Customer {
    /** areaId */
    areaId?: number;

    /** areaName */
    areaName?: string;

    /** createAt */
    createAt?: string;

    /** customerHead */
    customerHead?: string;

    /** customerName */
    customerName?: string;

    /** customerPhone */
    customerPhone?: string;

    /** customerSex */
    customerSex?: string;

    /** customerType */
    customerType?: string;

    /** email */
    email?: string;

    /** id */
    id?: number;

    /** isFirstRecharge */
    isFirstRecharge?: number;

    /** state */
    state?: string;

    /** updateAt */
    updateAt?: string;
  }

  export class CustomerAccountResp {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 响应数据体 */
    data?: defs.CustomerBeanAccountVo[];

    /** 具体的错误信息 */
    msg?: string;
  }

  export class CustomerAndAccountData {
    /** 服务豆余额 */
    bean?: number;

    /** campusId */
    campusId?: number;

    /** cellphone */
    cellphone?: string;

    /** 硬件账号 */
    hardwareAccount?: string;

    /** id */
    id?: number;

    /** 余额 */
    mony?: number;

    /** name */
    name?: string;

    /** 运营模式，1授信 2保证金 3传统 */
    operationMode?: string;

    /** schoolId */
    schoolId?: number;

    /** state */
    state?: string;

    /** studentNo */
    studentNo?: string;

    /** type */
    type?: string;
  }

  export class CustomerAndAccountResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** data */
    data?: defs.CustomerAndAccountData;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class CustomerBaseResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 响应数据体 */
    data?: defs.Customer;

    /** 具体的错误信息 */
    msg?: string;
  }

  export class CustomerBeanAccountVo {
    /** money */
    money?: number;

    /** serviceId */
    serviceId?: string;
  }

  export class CustomerParams {
    /** 区域id */
    areaId?: number;

    /** 区域名称 */
    areaName?: string;

    /** 出生年月 */
    birthDay?: string;

    /** 会员昵称 */
    customerName?: string;

    /** 会员联系方式 */
    customerPhone?: string;

    /** 会员性别 */
    customerSex?: string;

    /** 会员类别 1学生 2教师 3职工 4群众 5社区领导 6学校领导 7单位领导 */
    customerType?: string;

    /** 入学时间 */
    entranceDate?: string;

    /** 操作人 */
    handler?: string;

    /** 设备登录账号 */
    hardwareAccount?: string;

    /** 设备登录密码 */
    hardwarePwd?: string;

    /** 会员ID */
    id?: number;

    /** 会员条码 */
    idBar?: string;

    /** 身份证号 */
    idCard?: string;

    /** 操作类型 */
    operType?: string;

    /** app密码 */
    password?: string;

    /** 学生证号 */
    studentNo?: string;
  }

  export class GivenInfosResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** givenInfos */
    givenInfos?: any[];

    /** 具体的错误信息 */
    msg?: string;
  }

  export class LoginInfoVo {
    /** areaId */
    areaId?: number;

    /** areaName */
    areaName?: string;

    /** birthDay */
    birthDay?: string;

    /** createAt */
    createAt?: string;

    /** createLoginDate */
    createLoginDate?: string;

    /** customerHead */
    customerHead?: string;

    /** customerId */
    customerId?: number;

    /** customerName */
    customerName?: string;

    /** customerPhone */
    customerPhone?: string;

    /** customerSex */
    customerSex?: string;

    /** customerType */
    customerType?: string;

    /** email */
    email?: string;

    /** entranceDate */
    entranceDate?: string;

    /** hardwareAccount */
    hardwareAccount?: string;

    /** hardwarePwd */
    hardwarePwd?: string;

    /** hardwareState */
    hardwareState?: string;

    /** hardwarelastDate */
    hardwarelastDate?: string;

    /** idBar */
    idBar?: string;

    /** idCard */
    idCard?: string;

    /** isFirstRecharge */
    isFirstRecharge?: number;

    /** lastLoginDate */
    lastLoginDate?: string;

    /** loginAccount */
    loginAccount?: string;

    /** loginPwd */
    loginPwd?: string;

    /** loginPwdSalt */
    loginPwdSalt?: string;

    /** loginState */
    loginState?: string;

    /** state */
    state?: string;

    /** studentNo */
    studentNo?: string;

    /** token */
    token?: string;

    /** updateAt */
    updateAt?: string;

    /** updateLoginDate */
    updateLoginDate?: string;

    /** version */
    version?: string;
  }

  export class SelfConsumptionFlowSynchronizationParameter {
    /** 消费艾米币 */
    aimiMoney?: number;

    /** 区域id */
    areaId?: number;

    /** 区域名称 */
    areaName?: string;

    /** 消费豆 */
    beanCount?: number;

    /** 通用豆 */
    currencyBean?: number;

    /** 会员电话 */
    customerCellphone?: string;

    /** 会员id */
    customerId?: number;

    /** 会员名称 */
    customerName?: string;

    /** 设备编号 */
    equipmentNum?: string;

    /** 设备位置 */
    equipmentPosition?: string;

    /** 运营商id */
    operateId?: number;

    /** 运营商名称 */
    operateName?: string;

    /** 服务id */
    serviceId?: number;

    /** 服务名称 */
    serviceName?: string;
  }

  export class UnpaidConsumeOrderResponse {
    /** 响应码，非1000均表示出错 */
    code?: number;

    /** 具体的错误信息 */
    msg?: string;

    /** orderId */
    orderId?: number;

    /** title */
    title?: string;
  }
}

declare namespace API {
  /**
   * APP和新系统对接接口
   */
  export namespace appLoginInfo {
    /**
     * 更换手机账户接口
     * /app/customer/account/{customerId}/{phoneAccount}/{password}
     */
    export namespace updatePhoneAccount {
      export class Params {
        /** 会员号 */
        customerId: string;
        /** 账号 */
        phoneAccount: string;
        /** 密码 */
        password: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * app忘记密码修改接口
     * /app/customer/apwd/{loginAccount}/{password}/{verification}
     */
    export namespace appPasswordUpdate {
      export class Params {
        /** 账号 */
        loginAccount: string;
        /** 密码 */
        password: string;
        /** 验证码 */
        verification: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 检查电话号码是否被注册接口
     * /app/customer/check/register
     */
    export namespace checkWhetherRegister {
      export class Params {
        /** 电话号码 */
        phoneAccount: string;
      }

      export type Response = defs.ServerDataResponse<boolean>;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<boolean>>;
    }

    /**
     * 设备密码修改接口
     * /app/customer/hpwd/{customerId}/{password}
     */
    export namespace hardwarePwdUpdate {
      export class Params {
        /** 账号 */
        customerId: string;
        /** 密码 */
        password: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 知道密码的修改接口
     * /app/customer/kpwd/{loginAccount}/{password}/{oldPassword}
     */
    export namespace updateAppPwd {
      export class Params {
        /** loginAccount */
        loginAccount: number;
        /** 会员ID */
        customerId: any;
        /** 密码 */
        password: string;
        /** 密码 */
        oldPassword: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * APP登录接口
     * /app/customer/login
     */
    export namespace appLogin {
      export class Params {
        /** 登陆标识 */
        token?: string;
        /** 账号 */
        loginAccount?: string;
        /** 密码 */
        passWord?: string;
      }

      export type Response = defs.ServerDataResponse<defs.LoginInfoVo>;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<defs.LoginInfoVo>>;
    }

    /**
     * APP退出接口
     * /app/customer/login/out
     */
    export namespace appLoginOut {
      export class Params {
        /** 登陆标识 */
        token: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 注册APP接口
     * /app/customer/register
     */
    export namespace appRegister {
      export class Params {
        /** 会员ID */
        id?: number;
        /** 会员昵称 */
        customerName: string;
        /** 会员联系方式 */
        customerPhone: string;
        /** 会员性别 1男 2女 */
        customerSex: string;
        /** 会员类别 1学生 2教师 3职工 4群众 5社区领导 6学校领导 7单位领导 */
        customerType: string;
        /** 区域id */
        areaId: number;
        /** 区域名称 */
        areaName: string;
        /** 出生年月 */
        birthDay?: string;
        /** 入学时间 */
        entranceDate?: string;
        /** 身份证号 */
        idCard?: string;
        /** 学生证号 */
        studentNo?: string;
        /** app密码 */
        password: string;
        /** 会员头像 */
        customerHead?: string;
        /** email */
        email?: string;
        /** 校区 */
        campusId: number;
        /** 短信验证码 */
        verificationCode: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 开/关设备登陆密码接口
     * /app/customer/switch/{customerId}/{state}
     */
    export namespace switchPwd {
      export class Params {
        /** state */
        state: string;
        /** 密码 */
        password?: any;
        /** 会员号 */
        customerId: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }
  }

  /**
   * 自助消费流水
   */
  export namespace consume {
    /**
     * get的测试方法
     * /consume/getTest/{id}
     */
    export namespace getTest {
      export class Params {
        /** id */
        id: string;
        /** name */
        name: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 消费流水同步
     * /consume/synchronize
     */
    export namespace synConsumer {
      export class Params {}

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.SelfConsumptionFlowSynchronizationParameter,
      ): Promise<defs.ServerResponse>;
    }
  }

  /**
   * 消费订单
   */
  export namespace consumeOrder {
    /**
     * 确定支付接口
     * /consumeOrder/confirmPay
     */
    export namespace confirmPay {
      export class Params {
        /** 订单id */
        orderId?: number;
        /** 支付类型1:线下支付 2：微信支付 3 ：支付宝支付 4:京东支付 5:招行一网通支付6:艾米币 7:服务豆 */
        payType?: string;
        /** 活动id */
        activeId?: number;
        /** 呼起方式 1：原生、2：APP-H5 */
        callType?: string;
        /** 一网通支付需要的返回路径 */
        returnUrl?: string;
        /** 支付配置ID */
        paymentConfId?: number;
      }

      export type Response = defs.ConsumeOrderPayInfoResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ConsumeOrderPayInfoResponse>;
    }

    /**
     * 创建消费订单
     * /consumeOrder/create
     */
    export namespace create {
      export class Params {}

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.ConsumeOrder,
      ): Promise<defs.ServerResponse>;
    }

    /**
     * 获取订单抵扣信息
     * /consumeOrder/getDeductionInfo
     */
    export namespace getDeductionInfo {
      export class Params {
        /** 订单id */
        orderId?: number;
        /** 支付类型1:线下支付 2：微信支付 3 ：支付宝支付 4:京东支付 5:招行一网通支付6:艾米币 7:服务豆 */
        payType?: string;
        /** 支付配置ID */
        paymentConfId?: number;
      }

      export type Response = defs.ConsumeOrderDeductionInfoResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ConsumeOrderDeductionInfoResponse>;
    }

    /**
     * 获取订单详情信息
     * /consumeOrder/getDetail
     */
    export namespace getDetail {
      export class Params {
        /** 订单id */
        id?: number;
      }

      export type Response = defs.ConsumeOrderDetailResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ConsumeOrderDetailResponse>;
    }

    /**
     * 获取赠送记录滚动
     * /consumeOrder/getGivenInfos
     */
    export namespace getGivenInfos {
      export class Params {
        /** 区域ID */
        areaId?: number;
      }

      export type Response = defs.GivenInfosResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.GivenInfosResponse>;
    }

    /**
     * 获取订单详情和支付信息
     * /consumeOrder/getOrderDetailAndPay
     */
    export namespace getOrderDetailAndPay {
      export class Params {
        /** 订单id */
        id?: number;
      }

      export type Response = defs.ConsumeOrderDetailAndPayResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ConsumeOrderDetailAndPayResponse>;
    }

    /**
     * 获取未支付订单信息
     * /consumeOrder/getUnpaidOrder
     */
    export namespace getUnpaidOrder {
      export class Params {
        /** 会员id */
        customerId?: number;
      }

      export type Response = defs.UnpaidConsumeOrderResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.UnpaidConsumeOrderResponse>;
    }

    /**
     * 消费订单全部分组分页查询
     * /consumeOrder/pageAllList
     */
    export namespace pageAllList {
      export class Params {
        /** 会员id */
        customerId: number;
        /** 最后一页最后一条订单ID */
        lastOrderId?: number;
        /** 每页条数 */
        pageSize?: number;
      }

      export type Response = defs.ConsumeOrderGroupResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ConsumeOrderGroupResponse>;
    }

    /**
     * 消费订单分页查询
     * /consumeOrder/pageList
     */
    export namespace pageList {
      export class Params {
        /** 会员id */
        customerId: number;
        /** 订单状态 1未支付 2已支付 为空时查询的全部 */
        orderState?: string;
        /** 最后一页最后一条订单ID */
        lastOrderId?: number;
        /** 每页条数 */
        pageSize?: number;
      }

      export type Response = defs.ConsumeOrderResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ConsumeOrderResponse>;
    }

    /**
     * 支付成功接口
     * /consumeOrder/paySuccess
     */
    export namespace paySuccess {
      export class Params {
        /** 订单id */
        orderId?: number;
        /** 支付类型1:线下支付 2：微信支付 3 ：支付宝支付 4:京东支付 5:招行一网通支付6:艾米币 7:服务豆 */
        payType?: string;
        /** 活动id */
        activeId?: number;
        /** 支付配置ID */
        paymentConfId?: number;
        /** 支付平台唯一交易号 */
        tradNo?: string;
        /** 平台优化金额 */
        discountAmount?: number;
        /** 商户平台交易号 */
        outTradeNo?: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 获取支付状态
     * /consumeOrder/queryPayState
     */
    export namespace queryPayState {
      export class Params {
        /** 内部交易号 */
        outTradeNo?: string;
      }

      export type Response = defs.ConsumeOrderStateResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ConsumeOrderStateResponse>;
    }

    /**
     * 同步订单
     * /consumeOrder/synOrder
     */
    export namespace synOrder {
      export class Params {}

      export type Response = defs.ConsumeOrderSingleResponse;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.ConsumeOrder,
      ): Promise<defs.ConsumeOrderSingleResponse>;
    }
  }

  /**
   * 会员信息
   */
  export namespace customer {
    /**
     * 根据手机号获取会员信息
     * /dcxy/customerInfo/getCustomerByPhone
     */
    export namespace getCustomerByPhone {
      export class Params {
        /** customerPhone */
        customerPhone: string;
      }

      export type Response = defs.CustomerBaseResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.CustomerBaseResponse>;
    }

    /**
     * 会员信息同步新增接口
     * /dcxy/customerInfo/synchronous
     */
    export namespace addCustomerFromOldSys {
      export class Params {}

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.CustomerParams,
      ): Promise<defs.ServerResponse>;
    }
  }

  /**
   * 会员账户详情
   */
  export namespace customerAccount {
    /**
     * queryAccount
     * /customerAccount/queryAccount
     */
    export namespace queryAccount {
      export class Params {}

      export type Response = defs.CustomerAccountResp;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.AccountParams,
      ): Promise<defs.CustomerAccountResp>;
    }

    /**
     * syanRechage
     * /customerAccount/syanRechage
     */
    export namespace syanRechage {
      export class Params {}

      export type Response = any;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.AppRechargeAccountSynchronizationParameters,
      ): Promise<any>;
    }
  }

  /**
   * 会员类型
   */
  export namespace customerType {
    /**
     * 会员类型查询接口
     * /dcxy/api/customerType
     */
    export namespace list {
      export class Params {}

      export type Response = defs.ServerDataResponse<Array<defs.BaseDataVo>>;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.ServerDataResponse<Array<defs.BaseDataVo>>>;
    }
  }

  /**
   * 硬件对接接口
   */
  export namespace hardware {
    /**
     * 根据条码获取用户信息及资金账户余额
     * /dcxy/hardware/barcodelogin
     */
    export namespace barcodeLogin {
      export class Params {
        /** 订单id */
        barcode?: string;
        /** 区域id */
        areaId?: number;
        /** 服务id */
        serviceId?: number;
      }

      export type Response = defs.CustomerAndAccountResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.CustomerAndAccountResponse>;
    }

    /**
     * 硬件账号密码登陆，获取会员账户信息和基础信息
     * /dcxy/hardware/login
     */
    export namespace hardwareLogin {
      export class Params {
        /** 硬件账号 */
        account: string;
        /** 登陆密码 */
        password: string;
        /** 服务ID */
        serviceId: number;
        /** 校区id */
        campusId: number;
      }

      export type Response = defs.CustomerAndAccountResponse;
      export const init: Response;
      export function request(
        params: Params,
      ): Promise<defs.CustomerAndAccountResponse>;
    }
  }
}
declare namespace defs {
  export class BarrageEntity {
    /** createdate */
    createdate?: string;

    /** deletestate */
    deletestate?: string;

    /** id */
    id?: number;

    /** picurl */
    picurl?: string;

    /** time */
    time?: number;

    /** type */
    type?: string;

    /** updatedate */
    updatedate?: string;

    /** url */
    url?: string;
  }

  export class JtSynchronOrderVo {
    /** 订单内容 */
    orderContent?: string;

    /** 订单金额 */
    orderMoney?: number;

    /** 订单编号 */
    orderNum?: string;
  }

  export class JtSynchronPwdVo {
    /** 会员电话 */
    cellphone?: string;

    /** 会员密码 */
    password?: string;
  }
}

declare namespace API {
  /**
   * 校区页面管理
   */
  export namespace campusPageSection {
    /**
     * 获取动态码
     * /dcxy/app/homepage/campus/getDynamicCode
     */
    export namespace getDynamicCode {
      export class Params {
        /** 账号 */
        account: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 获取会员APP的版本信息
     * /dcxy/app/homepage/campus/getcustomerAppVersion
     */
    export namespace getcustomerAppVersion {
      export class Params {
        /** 会员ID，必须为大于0的整数 */
        campusId: string;
        /** 会员ID，必须为大于0的整数 */
        customerId: number;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 校区模式
     * /dcxy/app/homepage/campus/model/{customerId}
     */
    export namespace getModel {
      export class Params {
        /** 会员ID，必须为大于0的整数 */
        customerId: number;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 版块条目页面上的广告点击接口
     * /dcxy/app/homepage/campus/section/itemAd/click
     */
    export namespace clickItemAd {
      export class Params {
        /** 访问页名称，必填项 */
        pageName: string;
      }

      export type Response = any;
      export const init: Response;
      export function request(params: Params): Promise<any>;
    }

    /**
     * 校园页面版块条目点击接口
     * /dcxy/app/homepage/campus/section/{itemId}/click
     */
    export namespace clickItem {
      export class Params {
        /** 版块条目ID，必须为大于0的整数 */
        itemId: number;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 校区页面公告强弹禁用接口
     * /dcxy/app/homepage/campus/{campusId}/disableMandatoryPrompt/{customerId}/section/{itemId}/{disable}
     */
    export namespace disableMandatoryPrompt {
      export class Params {
        /** 校区ID，必须为大于0的整数 */
        campusId: number;
        /** 用户ID，必须为大于0的整数 */
        customerId: number;
        /** 条目ID，必须为大于0的整数 */
        itemId: number;
        /** 公告强弹禁用标志，必须为布尔类型 */
        disable: boolean;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 获取校区下的app闪图接口
     * /dcxy/app/homepage/campus/{campusId}/getBarrage
     */
    export namespace getBarrage {
      export class Params {
        /** 校区ID，必须为大于0的整数 */
        campusId: number;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 校区页面已发布版块所有可用条目列表获取接口
     * /dcxy/app/homepage/campus/{campusId}/publishedItems/{sectionId}
     */
    export namespace publishedItems {
      export class Params {
        /** 校区ID，必须为大于0的整数 */
        campusId: number;
        /** 版块ID，必须为大于0的整数 */
        sectionId: number;
        /** 首页公告版块ID，必须为大于0的整数 */
        pageSectionId?: number;
        /** 页码，必须为大于0的整数 */
        pageNum?: number;
        /** 页大小，必须为大于0的整数 */
        pageSize?: number;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }

    /**
     * 校区页面已发布版块列表获取接口
     * /dcxy/app/homepage/campus/{campusId}/publishedSections/{customerId}
     */
    export namespace publishedSections {
      export class Params {
        /** 校区ID，必须为大于0的整数 */
        campusId: number;
        /** 用户ID，必须为大于0的整数 */
        customerId: number;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }
  }

  /**
   * 精图接口
   */
  export namespace jt {
    /**
     * 精图订单同步接口
     * /dcxy/app/jt/order/data
     */
    export namespace synOrder {
      export class Params {}

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.JtSynchronOrderVo,
      ): Promise<defs.ServerResponse>;
    }

    /**
     * 精图RSA密码同步接口
     * /dcxy/app/jt/password/data
     */
    export namespace synJtPwd {
      export class Params {}

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(
        params: Params,
        bodyParams: defs.JtSynchronPwdVo,
      ): Promise<defs.ServerResponse>;
    }

    /**
     * 校区页面已发布版块列表获取接口
     * /dcxy/app/jt/urlAdress/{customerId}
     */
    export namespace urlAdress {
      export class Params {
        /** customerId必须为大于0的整数 */
        customerId: string;
      }

      export type Response = defs.ServerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.ServerResponse>;
    }
  }
}
